/*
 * $Id: FeatRuntimeException.java,v 1.1 2005/09/08 01:32:34 sugimotokenichi Exp $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2005/07/30
 */
package feat.v1;

/**
 * インタフェースとして定義できない、本来起こるはずのない状況のときに投げられる例外。
 * @author SUGIMOTO Ken-ichi
 */
public class FeatRuntimeException extends RuntimeException {

    /**
     *
     */
    public FeatRuntimeException() {
        super();
    }

    /**
     * @param message
     */
    public FeatRuntimeException(String message) {
        super(message);
    }

    /**
     * @param message
     * @param cause
     */
    public FeatRuntimeException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * @param cause
     */
    public FeatRuntimeException(Throwable cause) {
        super(cause);
    }
}
